#!/bin/bash

# Accordingly to the waf.spec, waf book and waf logo can't be included into the package due to
# inappropriate licenses. Let us drop them from source tarball.
# BTW, it seems waf book is not included into source tarball anymore.

set -eo pipefail

die() {
    echo "$0: $*" >&2
    exit 255
};

[[ $# -eq 1 ]] || die "One argument expected"
source="$1"
[[ "$source" == *.tar.bz2 ]] || die "$source: .tar.bz2 file expected"
target="${source%.tar.bz2}.stripped.tar.bz2"
echo "$source -> $target"

bzcat "$source" | tar --delete '*/docs/sphinx/_images/waf-64x64.png' | bzip2 > "$target.tmp"
mv "$target.tmp" "$target"

# end of file #
